CVE-2005-1850
CVSS10.0
发布时间 :2005-07-19 00:00:00
修订时间 :2016-10-17 23:23:01
NMCOS    

[原文]Certain contributed scripts for ekg Gadu Gadu client 1.5 and earlier create temporary files insecurely, with unknown impact and attack vectors, a different vulnerability than CVE-2005-1916.


[CNNVD]ekg 创建不安全的临时文件漏洞(CNNVD-200507-207)

        ekg是一款支持Gadu-Gadu的即时通讯客户端程序。
        ekg Gadu Gadu client 1.5及更早版本的某些发布脚本存在创建不安全临时文件漏洞。
        会以不安全的方式创建具有未知影响和攻击矢量的临时文件。

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:ekg:ekg:1.5
cpe:/a:ekg:ekg:1.0_rc3
cpe:/a:ekg:ekg:1.4
cpe:/a:ekg:ekg:1.3
cpe:/a:ekg:ekg:1.0_rc2
cpe:/a:ekg:ekg:1.1
cpe:/a:ekg:ekg:1.0
cpe:/a:ekg:ekg:1.1_rc1
cpe:/a:ekg:ekg:1.5_rc2
cpe:/a:ekg:ekg:1.1_rc2
cpe:/a:ekg:ekg:1.5_rc1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-1850
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-1850
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200507-207
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=112198499417250&w=2
(UNKNOWN)  BUGTRAQ  20050721 Multiple vulnerabilities in libgadu and ekg package
http://www.debian.org/security/2005/dsa-760
(VENDOR_ADVISORY)  DEBIAN  DSA-760

- 漏洞信息

ekg 创建不安全的临时文件漏洞
危急 设计错误
2005-07-19 00:00:00 2006-09-05 00:00:00
本地  
        ekg是一款支持Gadu-Gadu的即时通讯客户端程序。
        ekg Gadu Gadu client 1.5及更早版本的某些发布脚本存在创建不安全临时文件漏洞。
        会以不安全的方式创建具有未知影响和攻击矢量的临时文件。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://www.ubuntu.com/usn/USN-162-1
        

- 漏洞信息

18072
ekg Unspecified Contributed Script Insecure Temporary File Creation

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-07-18 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

EKG Insecure Temporary File Creation Vulnerability
Design Error 14307
No Yes
2005-07-18 12:00:00 2009-07-12 04:06:00
Discovery is credited to Marcin Owsiany and Wojtek Kaniewski.

- 受影响的程序版本

Ubuntu Ubuntu Linux 5.0 4 powerpc
Ubuntu Ubuntu Linux 5.0 4 i386
Ubuntu Ubuntu Linux 5.0 4 amd64
ekg ekg 2005-04-11
+ Debian Linux 3.1 sparc
+ Debian Linux 3.1 s/390
+ Debian Linux 3.1 ppc
+ Debian Linux 3.1 mipsel
+ Debian Linux 3.1 mips
+ Debian Linux 3.1 m68k
+ Debian Linux 3.1 ia-64
+ Debian Linux 3.1 ia-32
+ Debian Linux 3.1 hppa
+ Debian Linux 3.1 arm
+ Debian Linux 3.1 amd64
+ Debian Linux 3.1 alpha
+ Debian Linux 3.1
ekg ekg 1.6 rc3
ekg ekg 1.6 rc2

- 不受影响的程序版本

ekg ekg 1.6 rc3
ekg ekg 1.6 rc2

- 漏洞讨论

ekg is reported prone to an unspecified insecure temporary file creation vulnerability. This issue is likely due to a design error that causes the application to fail to verify the existence of a file before writing to it.

The details available regarding this issue are not sufficient to provide an in depth technical description. This BID will be updated when more information becomes available.

An attacker may leverage this issue to overwrite arbitrary files with the privileges of an unsuspecting user that activates the vulnerable application.

- 漏洞利用

An exploit is not required.

- 解决方案

Debian has released advisory DSA 760-1 to address this issue. Please see the referenced advisory for more information.

Ubuntu Linux has released advisory USN-162-1, along with fixes to address various issues. Please see the referenced advisory for further information.

Debian has released security advisory DSA 773-1 addressing several issues for their AMD64 port of the operating system. Please see the referenced advisory for further information.

The vendor has addressed this and other issues in ekg verion 1.6rc2 and later:


ekg ekg 2005-04-11

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站